Skip to main content
DELETE
/
identity-records
/
{ir}
Anonymise an Identity Record
curl --request DELETE \
  --url https://api.central.consent/v1/identity-records/{ir} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.central.consent/v1/identity-records/{ir}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.central.consent/v1/identity-records/{ir}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "response": {
    "resource": "/v1/identity-records/ir_a3c5e7f9b1d3a3c5e7f9b1d3",
    "timestamp": "2026-03-24T10:00:00Z",
    "transaction-id": "tid_abc123def456abc123def456"
  },
  "ir": "ir_a3c5e7f9b1d3a3c5e7f9b1d3",
  "anonymised-at": "2026-03-24T10:00:00Z"
}
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}

Authorizations

Authorization
string
header
required

JWT from GET /auth/token. Pass as Authorization: Bearer <token>. Expires after 7200s.

Path Parameters

ir
string
required

The identity record key to anonymise. Unique opaque identifier for an Identity Record, issued by the register on creation. Referenced from record-metadata.identity-record-ref on an AccessRecord to link the two resources.

Pattern: ^ir_[0-9a-f]{24}$
Example:

"ir_a3c5e7f9b1d3a3c5e7f9b1d3"

Response

Identity record anonymised. All PII permanently destroyed.

response
object
required
ir
string
required

Unique opaque identifier for an Identity Record, issued by the register on creation. Referenced from record-metadata.identity-record-ref on an AccessRecord to link the two resources.

Pattern: ^ir_[0-9a-f]{24}$
Example:

"ir_a3c5e7f9b1d3a3c5e7f9b1d3"

anonymised-at
string<date-time>
required

UTC timestamp of anonymisation.

Example:

"2026-03-24T10:00:00Z"

Last modified on March 25, 2026